List Contacts
List all contacts for the organization with cursor-based pagination.
GET
/contactsResend Compatibility: Partial -- Postflare returns properties field and uses organization-level contacts instead of audience-scoped contacts.
Requires a full_access API key.
Query Parameters
limitnumberMaximum number of results to return. Min 1, max 100. Default 100.
afterstringCursor for forward pagination.
beforestringCursor for backward pagination.
Response Fields
objectstringAlways "list".
has_morebooleanWhether there are more results available.
dataarrayArray of contact objects.
curl -X GET 'https://api.postflare.app/contacts?limit=10' \
-H 'Authorization: Bearer re_xxxxxxxxx'import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.contacts.list({
audienceId: '<audience_id>', // Required by Resend SDK
});Response
{
"object": "list",
"has_more": false,
"data": [
{
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3",
"email": "user@example.com",
"first_name": "John",
"last_name": "Doe",
"unsubscribed": false,
"properties": {},
"created_at": "2026-01-01T00:00:00.000Z"
}
]
}